org.eclipse.eef.core.internal

## Class EEFViewImpl

- java.lang.Object
- - org.eclipse.eef.core.internal.EEFViewImpl

All Implemented Interfaces:
  EEFView

    public class EEFViewImpl
    extends java.lang.Object
    implements EEFView

The implementation of the `EEFView`.

### Constructor Summary

Constructors
Constructor and Description
`EEFViewImpl(EEFViewDescription eefViewDescription, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter, IEEFDomainClassTester domainClassTester)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`EditingContextAdapter` `getContextAdapter()` Returns the editing context adapter.
`EEFViewDescription` `getDescription()` Returns the description of the `EEFView`.
`org.eclipse.sirius.common.interpreter.api.IInterpreter` `getInterpreter()` Returns the interpreter.
`java.util.List<EEFPage>` `getPages()` Returns the `EEFPage` to display in the `EEFView`.
`org.eclipse.sirius.common.interpreter.api.IVariableManager` `getVariableManager()` Returns the variable manager.
`void` `initialize()` Initializes the view by creating the pages and groups used to compute the tab and section descriptors.
`void` `setInput(InputDescriptor input)` Sets the input of the view.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFViewImpl

    public EEFViewImpl(EEFViewDescription eefViewDescription,
                       org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                       org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                       EditingContextAdapter contextAdapter,
                       IEEFDomainClassTester domainClassTester)

The constructor.

Parameters:
  `eefViewDescription` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter.
  `domainClassTester` - The domain class tester

### Method Detail

#### initialize

    public void initialize()

Initializes the view by creating the pages and groups used to compute the tab and section descriptors.

Specified by:
  `initialize` in interface `EEFView`
See Also:
  `EEFView.initialize()`

#### setInput

    public void setInput(InputDescriptor input)

Sets the input of the view.

Specified by:
  `setInput` in interface `EEFView`
Parameters:
  `input` - The input
See Also:
  `EEFView.setInput(org.eclipse.eef.core.api.InputDescriptor)`

#### getPages

    public java.util.List<EEFPage> getPages()

Returns the `EEFPage` to display in the `EEFView`.

Specified by:
  `getPages` in interface `EEFView`
Returns:
  The `EEFPage`
See Also:
  `EEFView.getPages()`

#### getDescription

    public EEFViewDescription getDescription()

Returns the description of the `EEFView`.

Specified by:
  `getDescription` in interface `EEFView`
Returns:
  The `EEFViewDescription`
See Also:
  `EEFView.getDescription()`

#### getInterpreter

    public org.eclipse.sirius.common.interpreter.api.IInterpreter getInterpreter()

Returns the interpreter.

Specified by:
  `getInterpreter` in interface `EEFView`
Returns:
  The interpreter
See Also:
  `EEFView.getInterpreter()`

#### getVariableManager

    public org.eclipse.sirius.common.interpreter.api.IVariableManager getVariableManager()

Returns the variable manager.

Specified by:
  `getVariableManager` in interface `EEFView`
Returns:
  The variable manager
See Also:
  `EEFView.getVariableManager()`

#### getContextAdapter

    public EditingContextAdapter getContextAdapter()

Returns the editing context adapter.

Specified by:
  `getContextAdapter` in interface `EEFView`
Returns:
  the context adapter.
See Also:
  `EEFView.getContextAdapter()`